roar-config(1)

NAME

roar-config - get information of installed RoarAudio libraries

SYNOPSIS

roar-config --version

roar-config --compare-versions VERSIONA OPERATOR VERSIONB

roar-config [{--output-pc|--output-normal}] [--libs] [--cflags] [LIB]

roar-config [--product PRODUCT] [--provider PROVIDER] [--universal] {--path PATH|--list-path}

roar-config --render-path PATH

DESCRIPTION

This small tool prints information about installed versions and needed flags to work with the RoarAudio libraries.

OPTIONS

--help
    Show a brief help.

--version
    Show version of library

--compare-versions VERSIONA OPERATOR VERSIONB
    Compares version VERSIONA against version VERSIONB using operator OPERATOR. Both versions must be in dotted format (e.g. 1.0.8) or the special keyword "current". This keyword represents the current used version.

    Operator may be "eq" (equal), "ne" (not equal), "gt" (greater than), "ge" (greater than or equal), "lt" (less than) or "le" (less than or equal).

    This function is mostly useful to check for minimum required or maximum supported versions of libroar in configure scripts.

--path NAME
    Print path NAME. Examples for NAME include prefix-plugins.

--list-path
    List all known paths with corresponding values.

--product PRODUCT
    Product string for --path and --list-path.

--provider PROVIDER
    Provider string for --path and --list-path.

--universal
    Use universal path for --path and --list-path.

--render-path PATH
    Render the given path. The path can be any absolute path, a path relative to the user's home directory (prefixed with ~/) or a path relative to a path as used by --path (prefixed with $ and path name).

--libs
    Show linker flags (-lxxx) needed to link library

--cflags
    Show compiler flags needed to link library

--output-pc
    Output in PC format.

--output-normal
    Output in "classical" format.

SEE ALSO
roartips(7), libroar(7), RoarAudio(7).

HISTORY

For history information see RoarAudio(7).